
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.apokalis.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.apokalis.entity.PiratcreeperEntity;
import net.mcreator.apokalis.entity.KriperMocnyEntity;
import net.mcreator.apokalis.ApokalisMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class ApokalisModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, ApokalisMod.MODID);
	public static final RegistryObject<EntityType<PiratcreeperEntity>> PIRATCREEPER = register("piratcreeper",
			EntityType.Builder.<PiratcreeperEntity>of(PiratcreeperEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(PiratcreeperEntity::new)

					.sized(0.6f, 1.7f));
	public static final RegistryObject<EntityType<KriperMocnyEntity>> KRIPER_MOCNY = register("kriper_mocny",
			EntityType.Builder.<KriperMocnyEntity>of(KriperMocnyEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(KriperMocnyEntity::new)

					.sized(0.6f, 1.7f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			PiratcreeperEntity.init();
			KriperMocnyEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(PIRATCREEPER.get(), PiratcreeperEntity.createAttributes().build());
		event.put(KRIPER_MOCNY.get(), KriperMocnyEntity.createAttributes().build());
	}
}
